 <?php
                        
 require_once ('../inventario/conexion.php');

  $objconexion = new conexion();

  $sentenciaselect = "SELECT
   historial_teclado.serial_teclado,
   estado_equipo.nombre_estadoequipo, 
   historial_teclado.fecha_historial,
    historial_teclado.observacion
   from historial_teclado,estado_equipo where historial_teclado.estado_teclado=estado_equipo.id_estadoequipo       
 and historial_teclado.serial_teclado= (case when NOT EXISTS(select historial_teclado.serial_teclado from historial_teclado where historial_teclado.serial_teclado ='". $_GET['var1']."') then historial_teclado.serial_teclado else '". $_GET['var1']."' end)";

    $arreglo = $objconexion->consultararraynum($sentenciaselect);
    mostrar($arreglo);

    function mostrar($inarreglo)
    {
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
    echo "<tr>";
    $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

    echo "<td>";
    echo $inarreglo[$i][$j];
    echo "</td>";


    }
    echo "</tr>";
    }
    }


?>